Page MenuHomePhabricator

Linting reports errors detected in extensions as multiPartTemplateBlock template issues
Closed, ResolvedPublic

Description

From NicoV on wikitech-l:
Is it normal that errrors inside a gallery tag are reported as being an error in a "multiPartTemplateBlock" while it's directly inside the page wikitext ?
Examples on frwiki : Manali, Zillis-Reischen

Event Timeline

ssastry created this task.Jul 17 2017, 3:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2017, 3:33 PM
ssastry triaged this task as Medium priority.Jul 17 2017, 3:33 PM
ssastry moved this task from Needs Triage to Next Up on the Parsoid board.Jul 19 2017, 9:43 PM
ssastry assigned this task to Arlolra.Sep 20 2017, 4:27 PM

Change 379679 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] T170832: Don't emit template info in lint for extension tags

https://gerrit.wikimedia.org/r/379679

Change 379679 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T170832: Don't emit template info in lint for extension tags

https://gerrit.wikimedia.org/r/379679

Arlolra closed this task as Resolved.Sep 21 2017, 10:38 PM